package phuturewarez.craftableslime.lib;

import net.minecraftforge.common.config.Property;
import phuturewarez.craftableslime.CraftableSlimeMain;
import cpw.mods.fml.common.FMLCommonHandler;

public class ConfigHandler {

	public static boolean useFlourRecipe;
	private static final boolean useFlourRecipe_DEFAULT = true;
	private static final String useFlourRecipe_NAME = "UseFlourRecipe";
	private static final String useFlourRecipe_COMMENT = "Requires the use of flour in slimeball recipes";
	public static boolean useBuiltinFlourItem;
	private static final boolean useBuiltinFlourItem_DEFAULT = true;
	private static final String useBuiltinFlourItem_NAME = "useBuiltinFlourItem";
	private static final String useBuiltinFlourItem_COMMENT = "Enables the mod's built-in flour item and recipe";
	//public static boolean flourIsEdible;
	//private static final boolean flourIsEdible_DEFAULT = true;
	//private static final String flourIsEdible_NAME = "flourIsEdible";
	//private static final String flourIsEdible_COMMENT = "Just in case the ability to eat raw flour amuses you";
	public static int slimeballCraftCount;
	private static final int slimeballCraftCount_DEFAULT = 4;
	private static final String slimeballCraftCount_NAME = "slimeballCraftCount";
	private static final String slimeballCraftCount_COMMENT = "Number of slimeballs each recipe will produce (1 to 64)";
	
	public static void syncConfig() {
		FMLCommonHandler.instance().bus().register(CraftableSlimeMain.instance);
		
		final String GENERAL = CraftableSlimeMain.config.CATEGORY_GENERAL + CraftableSlimeMain.config.CATEGORY_SPLITTER + "mod settings";
		CraftableSlimeMain.config.addCustomCategoryComment(GENERAL, "General settings for Craftable Slime mod");
		// Use flour recipe
		Property useFlourRecipe_prop = CraftableSlimeMain.config.get(GENERAL, useFlourRecipe_NAME, useFlourRecipe_DEFAULT);
		useFlourRecipe_prop.comment = useFlourRecipe_COMMENT;
		useFlourRecipe = useFlourRecipe_prop.getBoolean(useFlourRecipe_DEFAULT);
		// Use built-in flour item
		Property useBuiltinFlourItem_prop = CraftableSlimeMain.config.get(GENERAL, useBuiltinFlourItem_NAME, useBuiltinFlourItem_DEFAULT);
		useBuiltinFlourItem_prop.comment = useBuiltinFlourItem_COMMENT;
		useBuiltinFlourItem = useBuiltinFlourItem_prop.getBoolean(useBuiltinFlourItem_DEFAULT);
		// Slimeball craft count
		Property slimeballCraftCount_prop = CraftableSlimeMain.config.get(GENERAL, slimeballCraftCount_NAME, slimeballCraftCount_DEFAULT);
		slimeballCraftCount_prop.comment = slimeballCraftCount_COMMENT;
		slimeballCraftCount = slimeballCraftCount_prop.getInt(slimeballCraftCount_DEFAULT);
		if (slimeballCraftCount > 64) { slimeballCraftCount = 64; }
		if (slimeballCraftCount < 1) { slimeballCraftCount = 1; }		
		if(CraftableSlimeMain.config.hasChanged()) {
			CraftableSlimeMain.config.save();
		}		
	}
}
